clang 10.0.0git

Public Member Functions | List of all members
clang::PCHContainerReader Class Referenceabstract

This abstract interface provides operations for unwrapping containers for serialized ASTs (precompiled headers and clang modules). More...

`#include "clang/Serialization/PCHContainerOperations.h"`

Inheritance diagram for clang::PCHContainerReader:
[legend]

## Public Member Functions
virtual | ~PCHContainerReader ()=0
virtual llvm::StringRef | getFormat () const =0
| Equivalent to the format passed to -fmodule-format=. More...
virtual llvm::StringRef | ExtractPCH (llvm::MemoryBufferRef Buffer) const =0
| Returns the serialized AST inside the PCH container Buffer. More...

## Detailed Description

This abstract interface provides operations for unwrapping containers for serialized ASTs (precompiled headers and clang modules).

Definition at line 57 of file PCHContainerOperations.h.

## Constructor & Destructor Documentation

## ◆ ~PCHContainerReader()

PCHContainerReader::~PCHContainerReader | ( |  | ) |
| pure virtual

Definition at line 23 of file PCHContainerOperations.cpp.

## Member Function Documentation

## ◆ ExtractPCH()

virtual llvm::StringRef clang::PCHContainerReader::ExtractPCH | ( | llvm::MemoryBufferRef | Buffer | ) | const
| pure virtual

Returns the serialized AST inside the PCH container Buffer.

Referenced by clang::ASTReader::getOriginalSourceFile(), and clang::ASTReader::readASTFileControlBlock().

## ◆ getFormat()

virtual llvm::StringRef clang::PCHContainerReader::getFormat | ( |  | ) | const
| pure virtual

Equivalent to the format passed to -fmodule-format=.

Referenced by clang::ASTUnit::LoadFromASTFile().

The documentation for this class was generated from the following files:

- include/clang/Serialization/PCHContainerOperations.h
- lib/Serialization/PCHContainerOperations.cpp